Name:		vamp-plugin-sdk
Version:	2.3
Release:	1%{?dist}

Summary:	An API for audio analysis and feature extraction plugins
Group:		System Environment/Libraries
License:	BSD
URL:		http://www.vamp-plugins.org/
Source0:	http://code.soundsoftware.ac.uk/attachments/download/224/vamp-plugin-sdk-%{version}.tar.gz
# https://sourceforge.net/tracker/?func=detail&aid=1884043&group_id=192001&atid=939644
Patch0:		%{name}-v2.3-libdir.patch
BuildRequires:	libsndfile-devel


%description
Vamp is an API for C and C++ plugins that process sampled audio data
to produce descriptive output (measurements or semantic observations).


%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
Provides:	%{name}-static = %{version}-%{release}
Obsoletes:	%{name}-static < %{version}-%{release}


%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p0 -b .libdir
sed -i 's|/lib/vamp|/%{_lib}/vamp|g' src/vamp-hostsdk/PluginHostAdapter.cpp
sed -i 's|/lib/|/%{_lib}/|g' src/vamp-hostsdk/PluginLoader.cpp


%build
%configure
make


%install
rm -rf %{buildroot}
# fix libdir
find . -name '*.pc.in' -exec sed -i 's|/lib|/%{_lib}|' {} ';'
make install DESTDIR="%{buildroot}"
find %{buildroot} -name '*.la' -exec rm -f {} ';'
# create Makefile for examples
cd examples
echo CXXFLAGS=$RPM_OPT_FLAGS -fpic >> Makefile-%{_arch}
echo bundle: `ls *.o` >> Makefile
echo -e "\t"g++ \$\(CXXFLAGS\) -shared -Wl,-Bsymbolic \
     -o vamp-example-plugins.so \
     *.o \$\(pkg-config --libs vamp-sdk\) >> Makefile
echo `ls *.cpp`: >> Makefile
echo -e "\t"g++ \$\(CXXFLAGS\) -c $*.cpp >> Makefile
echo clean: >> Makefile
echo -e "\t"-rm *.o *.so >> Makefile
# clean directory up so we can package the sources
make clean


%check
# Scan shared libs for unpatched '/lib' strings to prevent issues
# on 64-bit multilib platforms.
[ $(strings %{buildroot}%{_libdir}/lib*.so.?|grep /lib|sed -e 's!/%{_lib}!/__FEDORA-LIB__!g'|grep -c /lib) -eq 0 ]


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,0755)
%doc COPYING README
%{_libdir}/libvamp-hostsdk.so.3
%{_libdir}/libvamp-hostsdk.so.3.3.0
%{_libdir}/libvamp-sdk.so.2
%{_libdir}/libvamp-sdk.so.2.3.0
%{_libdir}/vamp/


%files devel
%defattr(-,root,root,0755)
%doc examples
%{_bindir}/vamp-rdf-template-generator
%{_bindir}/vamp-simple-host
%{_includedir}/vamp/
%{_includedir}/vamp-hostsdk/
%{_includedir}/vamp-sdk/
%{_libdir}/libvamp-hostsdk.a
%{_libdir}/libvamp-hostsdk.so
%{_libdir}/libvamp-sdk.a
%{_libdir}/libvamp-sdk.so
%{_libdir}/pkgconfig/vamp-hostsdk.pc
%{_libdir}/pkgconfig/vamp-sdk.pc
%{_libdir}/pkgconfig/vamp.pc


%changelog
* Mon Jul 02 2012 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 2.3-1
- imported from Fedora
- cleaned up spec-file
- merged static subpackage into devel
- updated to new 2.3 upstream release

